# Example measurement spec
version: 1
type: measurement_spec
target_behavior:
  population: "New teams (B2B)"
  action: "Send 3 messages in #general"
  context: "Within 24 hours of workspace creation"
  window: "within 24 hours"
denominator: "All new workspaces created"
windows:
  primary: "first 24 hours"
  retention:
    d30: "30 days"
    d180: "180 days"
instrumentation:
  events:
    exposure_shown:
      required_properties: ["surface", "variant", "timestamp"]
    behavior_completed:
      required_properties: ["behavior_id", "context", "timestamp", "success"]
metrics:
  delta_b:
    definition: "Change in target behavior completion rate vs baseline, reported in percentage points (pp) with denominator and window."
  ttfb:
    definition: "Elapsed time from exposure/start to first valid completion of target behavior."
  retention:
    definition: "Behavior retention (e.g., D30/D180) of the target behavior with cohorting and denominators."
success_criteria:
  completion_rate_pp: ">= 35"     # example threshold
  ttfb_median: "<= 15 minutes"    # example threshold
  retention_d30_pp: ">= 12"       # example threshold
reporting:
  cadence: "weekly"
  evidence_ids: []
